Update a collateral package

Permissions required: Manage Collateral Packages and Read vault activity

Updates an existing collateral package in the Collateral Management service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the package to update.

Body Params

The details for updating an existing collateral package

The request payload for updating an existing collateral package. All fields are optional - only provide the fields you want to update.

acceleratedMarginCall
object

Accelerated Margin Call level configuration for updates. All fields are optional.

autoDeleveraging
object

Auto-deleveraging configuration for updates. All fields are optional.

string

A reference identifier provided by the client for this collateral package

collateralAssetsConfig
array of objects

Array of asset tracking configurations. If provided, this will replace the entire existing asset tracking configuration.

collateralAssetsConfig
critical
object

Critical level configuration for updates. All fields are optional.

boolean

Indicates whether the package should be activated for monitoring or not

integer

Number of decimal places to round LTV values to

marginCall
object

Margin Call level configuration for updates. All fields are optional.

marginReturn
object

Margin Return level configuration for updates. All fields are optional.

string
enum

This field specifies the pricing strategy to be used for the collateral package. To be implemented in the future

Allowed:
Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json